1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

What's Up With My PSP? I Need Expert Help!

Discussion in 'Sony PSP - Mod and firmware discussion' started by Brad92, Jun 12, 2007.

  1. Brad92

    Brad92 Member

    Joined:
    Jun 1, 2007
    Messages:
    13
    Likes Received:
    0
    Trophy Points:
    11
    Hi, recently with the help of many of you guys I have located different ways of achieving the ability to play iso games on my PSP. But, no matter what firmware update/downgrade that I download, my PSP always recognises it as "Version 2.00" and as my current system software is 2.50, my PSP will not accept it. Any ideas? Thanks a lot, much appreciated.
     
  2. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    you will need to get a copy of the dark_alex 2.50/2.60 downdater, as well as an unpatched copy of GTA:LCS which has the FW 2.0 update in order to downgrade your PSP from 2.50 to version 1.50 which allows you to play ISO's/homebrew-once you do that, you can upgrade to a custom firmware (like 3.03OE-3.40OE)that has all of the capabilities of newer firmware, but stll allows you to run homebrew and play ISO's from the memory stick.
     
  3. secKEn

    secKEn Guest

    Ummm, hey do you need to downgrade for the 3.40 oe-a cause my psp is a 3.40 sony offical and i don't want to wait till november 11 for the new downgrader or whenever it comes out... p.s. does anybody who does the downgrader programming have Ultra edit? I'll give a free copy of ultra edit to whoever wants to take a crack at programming a downgrader...
     
  4. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    Dude, don't hijack the thread. You need a downgrader for custom firmware because if you didn't there would be no need for a downgrader in the first place. I'm pretty sure that 3.40 downgrader in November is b.s. It's not that we need to program a downgrader, we need to find an exploit that can be used. And













     
  5. glenquag

    glenquag Regular member

    Joined:
    Mar 7, 2007
    Messages:
    1,879
    Likes Received:
    0
    Trophy Points:
    46
    Dude, don't hijack the thread. You need a downgrader for custom firmware because if you didn't there would be no need for a downgrader in the first place. I'm pretty sure that 3.40 downgrader in November is b.s. It's not that we need to program a downgrader, we need to find an exploit that can be used to let the downgrader work.
     
  6. dEEz_nUtz

    dEEz_nUtz Regular member

    Joined:
    Sep 10, 2006
    Messages:
    1,798
    Likes Received:
    0
    Trophy Points:
    46
    @secKEn-yeah sorry friend..you are pretty much F'd right now-your best bet is to ditch that PSP of yours and get one from ebay or something that you can downgrade-one that has 3.03 and lower firmwares-until then, you are pretty much a slave to the almighty Sony...
     

Share This Page